Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum Linuxiarze.pl

Author Topic: Older sparky kernels?  (Read 658 times)

Offline jidan

  • Newbie
  • *
  • Posts: 44
  • Karma: +0/-0
Older sparky kernels?
« on: December 17, 2019, 03:02:35 pm »
I'm trying to compile tested sparky kernels for sparky bonsai. Is there any way to access older image and headers kernel files removed from repos? At the moment i'm looking for v 5.3.6 amd64. Packets aren't any more at the repos. Looked at archive.org, the last snapshot from sparky repos is at feb 2016. Is it possible to access those files?

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2116
  • Karma: +2/-0
    • SparkyLinux
Re: Older sparky kernels?
« Reply #1 on: December 17, 2019, 10:17:05 pm »
Sorry, but I don't keep old kernels, there are too many, and take too much spaces.
If you tell me which one you need to keep at repos, for the Bonsai, I will.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux at irc.freenode.net

Offline jidan

  • Newbie
  • *
  • Posts: 44
  • Karma: +0/-0
Re: Older sparky kernels?
« Reply #2 on: December 18, 2019, 04:14:47 pm »
Hello pavroo,
the idea was to provide an unstable still tested (by me and friends - there is no community for now) sparky kernel with the next bonsai release. I managed to repack an installed one (v5.3.6) with its headers and rebuild it with aufs modules for use with bonsai. I have installed the proper aufs-dkms package (thanx Fred for his great job: https://github.com/doglinux/busterdog/raw/master/NoRepo/aufs-dkms_5.3+20191215-1.1_all.deb) but i can't build the sparky kernel because of some missing modules. With the same procedure (included in the script https://github.com/doglinux/busterdog/raw/master/amd64/upgrade-kernel_0.0.9_all.deb) i managed to build a debian backports kernel (v5.3.9). So maybe it isn't possible with sparky kernels as aufs modules are not included in source.